<?php

declare(strict_types=1);

namespace App\Http\Livewire\Components\Notifications;

use Illuminate\Contracts\View\View;

/**
 * Class Counter
 */
final class Counter extends Simple
{
    public int $unreadNotificationsCount = 0;

    public function render(): View
    {
        $this->unreadNotificationsCount = $this->userNotifications->count();

        return view('livewire.components.notifications.counter');
    }
}
